#include "stdafx.h"
#include "PostProcBuffer.h"



//! フレームバッファオブジェクトのりサイズ
//! 出来るだけバッファ破棄, 再生成が少なくなるようにする
void MultPathRenderBuf::ResizePathCount(size_t num_path)
{
	if (num_path == m_PPAry.size())
		return;

	if (num_path < m_PPAry.size())
	{
		for (size_t i = num_path; i < m_PPAry.size(); ++i)
		{
			m_PPAry[i].ReleaseBuf();
		}
	}

	m_PPAry.resize(num_path);
}
